## org.metaabm.act
Enum ABuildSpaceTypes

    java.lang.Object
      java.lang.Enum<ABuildSpaceTypes>
          org.metaabm.act.ABuildSpaceTypes

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ABuildSpaceTypes>, org.eclipse.emf.common.util.Enumerator

    public enum ABuildSpaceTypes

extends java.lang.Enum<ABuildSpaceTypes>
implements org.eclipse.emf.common.util.Enumerator

Enum Constant Summary
`FILE` The 'File' literal object.
`RANDOM` The 'Random' literal object.
`RANDOM_AROUND_POINT` The 'Random Around Point' literal object.

Field Summary
`static int` `FILE_VALUE` The 'File' literal value.
`static int` `RANDOM_AROUND_POINT_VALUE` The 'Random Around Point' literal value.
`static int` `RANDOM_VALUE` The 'Random' literal value.
`static java.util.List<ABuildSpaceTypes>` `VALUES` A public read-only list of all the 'ABuild Space Types' enumerators.

Method Summary
`static ABuildSpaceTypes` `get(int value)` Returns the 'ABuild Space Types' literal with the specified integer value.
`static ABuildSpaceTypes` `get(java.lang.String literal)` Returns the 'ABuild Space Types' literal with the specified literal value.
`static ABuildSpaceTypes` `getByName(java.lang.String name)` Returns the 'ABuild Space Types' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static ABuildSpaceTypes` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ABuildSpaceTypes[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### RANDOM

    public static final ABuildSpaceTypes RANDOM

  The 'Random' literal object.

  See Also:
    `RANDOM_VALUE`

### RANDOM_AROUND_POINT

    public static final ABuildSpaceTypes RANDOM_AROUND_POINT

  The 'Random Around Point' literal object.

  See Also:
    `RANDOM_AROUND_POINT_VALUE`

### FILE

    public static final ABuildSpaceTypes FILE

  The 'File' literal object.

  See Also:
    `FILE_VALUE`

Field Detail

### RANDOM_VALUE

    public static final int RANDOM_VALUE

  The 'Random' literal value.

  If the meaning of 'Random' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RANDOM`, Constant Field Values

### RANDOM_AROUND_POINT_VALUE

    public static final int RANDOM_AROUND_POINT_VALUE

  The 'Random Around Point' literal value.

  If the meaning of 'Random Around Point' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RANDOM_AROUND_POINT`, Constant Field Values

### FILE_VALUE

    public static final int FILE_VALUE

  The 'File' literal value.

  If the meaning of 'File' literal object isn't clear, there really should be more of a description here...

  See Also:
    `FILE`, Constant Field Values

### VALUES

    public static final java.util.List<ABuildSpaceTypes> VALUES

  A public read-only list of all the 'ABuild Space Types' enumerators.

Method Detail

### values

    public static ABuildSpaceTypes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ABuildSpaceTypes c : ABuildSpaceTypes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ABuildSpaceTypes valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static ABuildSpaceTypes get(java.lang.String literal)

  Returns the 'ABuild Space Types' literal with the specified literal value.

### getByName

    public static ABuildSpaceTypes getByName(java.lang.String name)

  Returns the 'ABuild Space Types' literal with the specified name.

### get

    public static ABuildSpaceTypes get(int value)

  Returns the 'ABuild Space Types' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<ABuildSpaceTypes>`